<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>net472;netcoreapp3.1;net5.0;net6.0</TargetFrameworks>
    <JustmockBinaryPath>$(MSBuildProgramFiles32)\Progress\Telerik JustMock\Libraries</JustmockBinaryPath>
    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.11.0" />
    <PackageReference Include="MSTest.TestAdapter" Version="2.2.6" />
    <PackageReference Include="MSTest.TestFramework" Version="2.2.6" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\MyClassLibrary\MyClassLibrary.csproj" />
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net472'">
    <Reference Include="Telerik.JustMock">
      <HintPath>$(JustmockBinaryPath)\Telerik.JustMock.dll</HintPath>
    </Reference>
  </ItemGroup>
  
  <ItemGroup Condition="'$(TargetFramework)' != 'net472'">
    <Reference Include="Telerik.JustMock">
      <HintPath>$(JustmockBinaryPath)\netcoreapp2.0\Telerik.JustMock.dll</HintPath>
    </Reference>
    <PackageReference Include="System.Security.Permissions" Version="5.0.0" />
  </ItemGroup>  

</Project>
